Bug 389591

Summary: Screen brighness keys do not work.
Product: [Fedora] Fedora Reporter: Austin Acton <austin>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8CC: snecklifter
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: snecklifter: needinfo? (austin)
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 02:27:30 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Fujitsu T2010 DMI
none
dmesg output
none
lsmod output none

Description Austin Acton 2007-11-18 12:52:20 EST
Description of problem:
On a Fujitsu T2010 laptop with Intel X3100 video and an LCD backlight, the keys
to control screen brightness do not work.

/var/log/messages reports:

Nov 18 12:50:29 localhost kernel: ACPI Error (psargs-0355):
[\_SB_.PCI0.GFX0.LCD_.BLNF] Namespace lookup failure, AE_NOT_FOUND
Nov 18 12:50:29 localhost kernel: ACPI Error (psparse-0537): Method
parse/execution failed [\_GPE._L1C] (Node f7c61eb8), AE_NOT_FOUND
Nov 18 12:50:29 localhost kernel: ACPI Exception (evgpe-0576): AE_NOT_FOUND,
while evaluating GPE method [_L1C] [20070126]

Nov 18 12:50:29 localhost kernel: ACPI Error (psargs-0355):
[\_SB_.PCI0.GFX0.LCD_.BLNF] Namespace lookup failure, AE_NOT_FOUND
Nov 18 12:50:29 localhost kernel: ACPI Error (psparse-0537): Method
parse/execution failed [\_GPE._L1C] (Node f7c61eb8), AE_NOT_FOUND
Nov 18 12:50:29 localhost kernel: ACPI Exception (evgpe-0576): AE_NOT_FOUND,
while evaluating GPE method [_L1C] [20070126]

(also: I can't find any command line programs with Fedora 8 to adjust it either.
 I have compiled xbacklight from xorg 1.4 and it works great.)

Version-Release number of selected component (if applicable):
Default Fedora 8 install.

Additional information:
DMI info attached.
Comment 1 Austin Acton 2007-11-18 12:52:20 EST
Created attachment 263041 [details]
Fujitsu T2010 DMI
Comment 2 Chuck Ebbert 2007-11-21 14:59:21 EST
Try manually loading the toshiba_acpi module.
Comment 3 Austin Acton 2007-11-21 18:40:51 EST
[root@localhost ~]# modprobe toshiba_acpi
FATAL: Error inserting toshiba_acpi
(/lib/modules/2.6.23.1-49.fc8/kernel/drivers/acpi/toshiba_acpi.ko): No such device
Comment 4 Chuck Ebbert 2007-11-26 14:20:05 EST
Support for Fujitsu was added by commit d0482533c73a8685f7ce0951a10280cfd58b8825
in 2.6.24
Comment 5 Christopher Brown 2008-02-13 18:10:20 EST
I'm closing as per comment #4 as fix is included in the 2.6.24. Please re-open
if this does not resolve the issue for you.
Comment 6 Christopher Brown 2008-02-13 18:15:15 EST
*** Bug 391311 has been marked as a duplicate of this bug. ***
Comment 7 Austin Acton 2008-02-13 22:36:46 EST
Exact same result with 2.6.24.
Comment 8 Christopher Brown 2008-02-14 14:40:59 EST
Could you attach the following as individual text/plain attachments to this bug
when booted with the 2.6.24 kernel:

lsmod > lsmod.out
dmesg > dmesg.out
Comment 9 Austin Acton 2008-02-22 11:22:58 EST
Created attachment 295645 [details]
dmesg output
Comment 10 Austin Acton 2008-02-22 11:23:37 EST
Created attachment 295646 [details]
lsmod output
Comment 11 Christopher Brown 2008-02-25 16:11:56 EST
The code indicates:

+           * P2xxx/P5xxx/S6xxx/S7xxx series Lifebooks
+           * Possibly other Fujitsu laptop models

which I imagine leaves your model in a somewhat grey area. I suppose manually
loading the module under 2.6.24 still ends in failure?

Is anything being created under /sys/class/backlight/fujitsu-laptop/ ?
Comment 12 Dave Jones 2008-02-25 16:33:36 EST
to clarify, this should be the fujitsu-laptop module, not the toshiba-acpi
module as mentioned above.
Comment 13 Bug Zapper 2008-11-26 03:33:49 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-01-09 02:27:30 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.